> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ibee.co.in/docs/api-reference/cdn/list-cdn-distributions/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ibee.co.in/_mcp/server. # List CDN distributions GET https://api.ibee.co.in/v1/cdn/distributions Reference: https://docs.ibee.co.in/docs/api-reference/cdn/list-cdn-distributions ## Authentication - `Authorization` header (bearer token, required) — IBEE platform API token. Production tokens start with `ibee_prod_key_`; development tokens start with `ibee_dev_key_`. Use a token only with its matching gateway environment. ## Servers - `https://api.ibee.co.in/v1` (Production, default) - `https://api.ibee.co.in/v1` (Development) ## Request ### Query parameters - `workspace_id` (string, required) — The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected. ## Response ### 200 Distributions returned successfully. - `distributions` (list of CdnDistribution, required) - `count` (integer, required) ## Errors ### 401 Unauthorized Error The API token is missing or invalid. - `detail` (ErrorDetail, optional) ### 403 Forbidden Error The token is not allowed to access the workspace or does not have the required scope. - `detail` (ErrorDetail, optional) ## Types ### CdnDistribution - `id` (string, required) - `name` (string, required) - `origin_type` (enum, required) - Allowed values: `bucket`, `custom` - `origin_id` (string, required) - `cache_policy` (string, required) - `enabled` (boolean, required) - `status` (enum, required) - Allowed values: `active`, `deploying`, `disabled`, `failed`, `deleted` - `default_domain` (string, required) - `default_url` (string, required) - `custom_domains` (list of string, required) - `created_at` (datetime, required) - `updated_at` (datetime, optional, nullable) ### ErrorDetail ## Examples **Response** ```json { "distributions": [ { "id": "string", "name": "string", "origin_type": "bucket", "origin_id": "string", "cache_policy": "string", "enabled": true, "status": "active", "default_domain": "string", "default_url": "string", "custom_domains": [ "string" ], "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z" } ], "count": 1 } ``` **SDK Code** ```python import requests url = "https://api.ibee.co.in/v1/cdn/distributions" querystring = {"workspace_id":"710995"} headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.ibee.co.in/v1/cdn/distributions?workspace_id=710995'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.ibee.co.in/v1/cdn/distributions?workspace_id=710995" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.ibee.co.in/v1/cdn/distributions?workspace_id=710995") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.ibee.co.in/v1/cdn/distributions?workspace_id=710995") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.ibee.co.in/v1/cdn/distributions?workspace_id=710995', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.ibee.co.in/v1/cdn/distributions?workspace_id=710995"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.ibee.co.in/v1/cdn/distributions?workspace_id=710995")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```